### Class

# FwupdPlugin Hwids

#### Description [src]

    final class FwupdPlugin.Hwids : GObject.Object
    {
      /* No available fields */
    }

A the hardware IDs on the system.

Note, these are called “CHIDs” in Microsoft Windows and the results here will match that of `ComputerHardwareIds.exe`.

See also: `FuSmbios`.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### fu_hwids_add_guid

Adds a HWID GUID value.

since: 1.8.10

###### fu_hwids_add_value

Sets override values so you can emulate another system.

since: 1.8.10

###### fu_hwids_get_chid_keys

Returns all the CHID keys added by fu_hwids_add_chid().

since: 1.9.16

###### fu_hwids_get_guid

Gets the GUID for a specific key.

since: 0.9.3

###### fu_hwids_get_guids

Returns all the defined HWIDs.

since: 0.9.3

###### fu_hwids_get_keys

Returns all the defined HWID keys.

since: 1.5.6

###### fu_hwids_get_replace_keys

Gets the defined values for a well known value.

since: 0.9.3

###### fu_hwids_get_replace_values

Gets the replacement values for a HardwareID key or plain key.

since: 0.9.3

###### fu_hwids_get_value

Gets the cached value for one specific key that is valid ASCII and suitable for display.

since: 0.9.3

###### fu_hwids_has_guid

Finds out if a hardware GUID exists.

since: 0.9.3

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginHwidsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.